> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tempo-forecast.mblq.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Historique officiel

> Retourne les couleurs officielles, nos prédictions et les tarifs. Max 365 jours.



## OpenAPI

````yaml /openapi.json get /v1/public/history
openapi: 3.1.0
info:
  title: Tempo Forecast
  description: API publique Tempo Forecast. Gratuit, sans authentification.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Endpoints
    description: Endpoints de l'API publique Tempo Forecast.
paths:
  /v1/public/history:
    get:
      tags:
        - Endpoints
      summary: Historique officiel
      description: >-
        Retourne les couleurs officielles, nos prédictions et les tarifs. Max
        365 jours.
      operationId: get_history_range_v1_public_history_get
      parameters:
        - name: from
          in: query
          required: true
          schema:
            type: string
            format: date
            description: Start date (YYYY-MM-DD)
            title: From
          description: Start date (YYYY-MM-DD)
        - name: to
          in: query
          required: true
          schema:
            type: string
            format: date
            description: End date (YYYY-MM-DD)
            title: To
          description: End date (YYYY-MM-DD)
      responses:
        '200':
          description: Réponse réussie
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HistoryDayModel'
                title: Response Get History Range V1 Public History Get
        '422':
          description: Erreur de validation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HistoryDayModel:
      properties:
        date:
          type: string
          format: date
          title: Date
        color:
          type: string
          title: Color
          description: Couleur officielle RTE
        predicted_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Predicted Color
          description: Notre prédiction
        prediction_confidence:
          anyOf:
            - type: integer
            - type: 'null'
          title: Prediction Confidence
          description: Confiance de la prédiction (%)
        hp_rate:
          type: number
          title: Hp Rate
        hc_rate:
          type: number
          title: Hc Rate
      type: object
      required:
        - date
        - color
        - hp_rate
        - hc_rate
      title: Historique jour
      description: Couleur officielle et prédiction pour un jour.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: Erreur de validation
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: Erreur de validation

````